import { resolve } from 'path'
import { defineConfig } from 'vite'

export default defineConfig({
  root: '.',
  build: {
    rollupOptions: {
      input: {
        main: resolve(__dirname, 'index.html'),
        dashboard: resolve(__dirname, 'pages/dashboard.html'),
        users: resolve(__dirname, 'pages/users.html'),
        settings: resolve(__dirname, 'pages/settings.html'),
        notfound: resolve(__dirname, 'pages/404.html'),
        login: resolve(__dirname, 'pages/auth/login.html'),
        register: resolve(__dirname, 'pages/auth/register.html')
      }
    }
  }
})
